E-MailRelay

Public Member Functions | List of all members
GNet::DnsBlockCallback Class Referenceabstract

A callback interface for GNet::DnsBlock. More...

`#include <gdnsblock.h>`

Inheritance diagram for GNet::DnsBlockCallback:

## Public Member Functions
virtual | ~DnsBlockCallback ()=default
| Desstructor.
virtual void | onDnsBlockResult (const DnsBlockResult &)=0
| Called with the results from DnsBlock::start().

## Detailed Description

A callback interface for GNet::DnsBlock.

Definition at line 207 of file gdnsblock.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsblock.h